> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/page-load/models.md).

# Models

## The PageLoadRequest object

```json
{"openapi":"3.1.0","info":{"title":"Brand Page Load API","version":"v11"},"components":{"schemas":{"PageLoadRequest":{"type":"object","required":["CampaignId","EventDate","PageUrl","CustomProfileId"],"properties":{"CampaignId":{"type":"integer","description":"Unique identifier for your program."},"PageUrl":{"type":"string","format":"uri","description":"**Required.** Destination URL that is intercepted by the app.\n\n- If the app open occurs from an impact.com tracking link, send the full tracking link (e.g., `https://mysite.pxf.io/c/1234567/12345/1234?sharedid=abcd`).\n- If the app is opened directly (e.g., not redirected from a URL), do not send any value.\n- If the app open occurs from a non-Impact URL, send the actual URL with `https:` (e.g., `https://www.example.com?name=value`).\n- If the app open occurs using a custom URI scheme, send the full URI (e.g., `app://view?sharedid=abcd`).\n\n**Tip:** When testing clicks and events, append `?impacttest=1` to your `PageUrl`."},"PropertyId":{"type":"integer","description":"**Required for mobile/app opens.** For mobile app opens, this value is the \"System App ID\" of your app in impact.com. Found in Settings → Mobile Apps."},"AppleIfa":{"type":"string","description":"**Required for iOS app opens.** Apple ID for Advertising (IDFA) associated with the mobile device the customer converted on. Used for attribution purposes. Typically only available for iOS in-app conversions."},"GoogAId":{"type":"string","description":"**Required for Android app opens.** Google Advertising ID associated with the mobile device the customer converted on. Used for attribution purposes. Typically only available for Android in-app conversions."},"EventDate":{"type":"string","format":"date-time","description":"ISO 8601 format of the event time."},"ReferringUrl":{"type":"string","format":"uri","description":"URL of the referring website."},"CustomProfileId":{"type":"string","description":"Anonymous user identifier. If CustomProfileId is not provided, please provide at least one of the following identifiers: GoogAId, AndroidId, AppleIfa, AppleIfv, ClickId, or CustomerId."},"CustomerId":{"type":"string","description":"Your unique non-PII customer identifier."},"CustomerEmail":{"type":"string","description":"SHA-1 hashed email address."},"TrackingConsent":{"type":"boolean","description":"User tracking consent status."},"UserAgent":{"type":"string","description":"User agent of the customer, used to provide device reporting. Primarily used for web traffic. See DeviceMfr and DeviceModel for the equivalent for in-app requests."},"AppleIfv":{"type":"string","description":"Apple ID for Vendors (IDFV)."},"IpAddress":{"type":"string","description":"IP address of the customer. The IP address is used to help the system identify fraudulent activity. The IP address can be used for attribution in the case of installs."},"AppName":{"type":"string","description":"Name of the mobile app. Only for mobile events."},"AppPackage":{"type":"string","description":"Package name for the mobile app the user installed. Only for mobile events."},"AppVer":{"type":"string","description":"Version of the mobile app. Only for mobile events."},"DeviceMfr":{"type":"string","description":"Mobile device's manufacturer. impact.com expects this to be passed in a specific format—refer to the code below that needs to be included in your mobile app to capture the value in the appropriate format."},"DeviceModel":{"type":"string","description":"Mobile device's model. impact.com expects this to be passed in a specific format—refer to the code below that needs to be included in your mobile app to capture the value in the appropriate format."}}}}}}
```

## The GatewayTrackingResponse object

```json
{"openapi":"3.1.0","info":{"title":"Brand Page Load API","version":"v11"},"components":{"schemas":{"GatewayTrackingResponse":{"type":"object","properties":{"landingPage":{"type":"string","format":"uri","description":"The final destination URL for routing."},"clickId":{"type":"string","description":"Unique click ID generated by impact.com."},"warnings":{"type":"array","description":"Non-fatal warnings about the request.","items":{"$ref":"#/components/schemas/Issue"}}}},"Issue":{"type":"object","properties":{"field":{"type":"string","description":"The request parameter that caused the message."},"level":{"type":"string","description":"The severity level of the message.","enum":["WARNING","ERROR"]},"message":{"type":"string","description":"A detailed explanation of the issue."}}}}}}
```

## The DirectTrackingResponse object

```json
{"openapi":"3.1.0","info":{"title":"Brand Page Load API","version":"v11"},"components":{"schemas":{"DirectTrackingResponse":{"type":"object","properties":{"clickId":{"type":"string","description":"Unique click ID generated by impact.com."},"sessionStart":{"type":"string","format":"date-time","description":"The timestamp when the user session started."},"warnings":{"type":"array","description":"Non-fatal warnings about the request.","items":{"$ref":"#/components/schemas/Issue"}}}},"Issue":{"type":"object","properties":{"field":{"type":"string","description":"The request parameter that caused the message."},"level":{"type":"string","description":"The severity level of the message.","enum":["WARNING","ERROR"]},"message":{"type":"string","description":"A detailed explanation of the issue."}}}}}}
```

## The WarningResponse object

```json
{"openapi":"3.1.0","info":{"title":"Brand Page Load API","version":"v11"},"components":{"schemas":{"WarningResponse":{"type":"object","properties":{"landingPage":{"type":"string","format":"uri","description":"The final destination URL for routing."},"clickId":{"type":"string","description":"Unique click ID generated by impact.com."},"warnings":{"type":"array","description":"Non-fatal warnings about the request.","items":{"$ref":"#/components/schemas/Issue"}}}},"Issue":{"type":"object","properties":{"field":{"type":"string","description":"The request parameter that caused the message."},"level":{"type":"string","description":"The severity level of the message.","enum":["WARNING","ERROR"]},"message":{"type":"string","description":"A detailed explanation of the issue."}}}}}}
```

## The ErrorResponse object

```json
{"openapi":"3.1.0","info":{"title":"Brand Page Load API","version":"v11"},"components":{"schemas":{"ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","description":"Errors that prevented the request from succeeding.","items":{"$ref":"#/components/schemas/Issue"}},"warnings":{"type":"array","description":"Non-fatal warnings about the request.","items":{"$ref":"#/components/schemas/Issue"}}}},"Issue":{"type":"object","properties":{"field":{"type":"string","description":"The request parameter that caused the message."},"level":{"type":"string","description":"The severity level of the message.","enum":["WARNING","ERROR"]},"message":{"type":"string","description":"A detailed explanation of the issue."}}}}}}
```

## The Issue object

```json
{"openapi":"3.1.0","info":{"title":"Brand Page Load API","version":"v11"},"components":{"schemas":{"Issue":{"type":"object","properties":{"field":{"type":"string","description":"The request parameter that caused the message."},"level":{"type":"string","description":"The severity level of the message.","enum":["WARNING","ERROR"]},"message":{"type":"string","description":"A detailed explanation of the issue."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/page-load/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
